certificate-1.3.9: Certificates and Key Reader/Writer

Portability | unknown
Stability | experimental
Maintainer | Vincent Hanquez <vincent@snarc.org>
Safe Haskell | None

Data.Certificate.KeyRSA

Description

Read/Write Private/Public RSA Key

Synopsis

- decodePublic :: ByteString -> Either String PublicKey
- decodePrivate :: ByteString -> Either String (PublicKey, PrivateKey)
- encodePublic :: PublicKey -> ByteString
- encodePrivate :: (PublicKey, PrivateKey) -> ByteString
- parse_RSA :: ByteString -> Either String PublicKey

# Documentation

decodePublic :: ByteString -> Either String PublicKey Source

decodePrivate :: ByteString -> Either String (PublicKey, PrivateKey)Source

encodePublic :: PublicKey -> ByteString Source

encodePrivate :: (PublicKey, PrivateKey) -> ByteString Source

parse_RSA :: ByteString -> Either String PublicKey Source

parse a RSA pubkeys from ASN1 encoded bits. - return RSA.PublicKey (len-modulus, modulus, e) if successful